%define oname  docbook2X

Name: 		docbook2x
Version: 	0.8.8
Release:	%mkrel 14
Summary:	A docbook to GNU Texinfo format converter
License:	MIT
Group:		Publishing
Url:		http://docbook2x.sourceforge.net/
Source0:	http://sourceforge.net/projects/docbook2x/files/docbook2x/%{version}/docbook2X-%{version}.tar.bz2
BuildRequires:	libxslt-proc
BuildRequires:	perl(XML::SAX)
Requires:	    libxslt-proc
Requires(post): info-install
Requires(preun):info-install

%description
Converts DocBook documents into the traditional Unix man page format
and the GNU Texinfo format.

%prep
%setup -q -n %{oname}-%{version}

%build
# to avoid clashing with docbook2* from docbook-utils
%configure2_5x --program-transform-name='s/^docbook2/docbook2x-/'
%make

%install
%make_install

mv %{buildroot}%{_docdir}/docbook2X %{buildroot}%{_docdir}/docbook2x
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%post
%_install_info %name

%preun
%_remove_install_info %name

%files
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO doc/*.html
%{_bindir}/db2x_manxml
%{_bindir}/db2x_texixml
%{_bindir}/db2x_xsltproc
%{_bindir}/docbook2x-man
%{_bindir}/docbook2x-texi
%{_bindir}/sgml2xml-isoent
%{_bindir}/utf8trans
%{_datadir}/docbook2X
%{_mandir}/man1/*
%{_infodir}/*


%changelog
* Sun Feb 14 2016 umeabot <umeabot> 0.8.8-14.mga6
+ Revision: 959847
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.8.8-13.mga6
+ Revision: 896318
- nuke doc installed by pkg

* Tue Oct 27 2015 daviddavid <daviddavid> 0.8.8-12.mga6
+ Revision: 895754
- update doc file list to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.8.8-11.mga5
+ Revision: 739844
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.8-10.mga5
+ Revision: 678791
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.8.8-9.mga4
+ Revision: 535156
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 guillomovitch <guillomovitch> 0.8.8-8.mga4
+ Revision: 481372
- use same executable renaming as in debian world, for compatibility purpose

* Fri Jan 11 2013 umeabot <umeabot> 0.8.8-7.mga3
+ Revision: 349050
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 08 2011 dams <dams> 0.8.8-6.mga2
+ Revision: 101955
- imported package docbook2x


* Wed Jun 08 2011 dams <dams> 0.8.8-6.mga2
+ Revision: 101955
- imported package docbook2x


* Mon Feb 01 2010 Emmanuel Andry <eandry@mandriva.org> 0.8.8-6mdv2010.1
+ Revision: 499218
- use program-transform-name to avoid conflict with docbook-utils

* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.8.8-5mdv2010.0
+ Revision: 428308
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.8-4mdv2009.0
+ Revision: 266574
- rebuild early 2009.0 package (before pixel changes)

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.8.8-3mdv2009.0
+ Revision: 200861
- Should requires libxslt-proc

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not hardcode bz2 extension
    - info file must be unregistered before being uninstalled

* Thu May 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.8-1mdv2008.0
+ Revision: 26057
- New release 0.8.8
- Import docbook2x



* Wed May 10 2006 Giuseppe Ghib <ghibo@mandriva.org> 0.8.7-2mdk
- Added libxslt-proc to BuildRequires.

* Fri Apr 28 2006 Jerome Soyer <saispo@mandriva.org> 0.8.7-1mdk
- New release 0.8.7

* Mon Apr 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.6-2mdk
- Add BuildRequires

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.6-1mdk
- New release 0.8.6

* Thu Feb 16 2006 Austin Acton <austin@mandriva.org> 0.8.5-3mdk
- fix lib64 build
- tidy file list
- fix summary

* Tue Feb 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5-2mdk
- Rebuild

* Thu Feb 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5-1mdk 
- Fisrt Mandriva Release
